package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssJdbc;

/**
 * jdbc存储配置表 表服务接口
 *
 * @author landaiqing
 * @since 2024-06-02 22:08:16
 */
public interface SchisandraOssJdbcService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssJdbc queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssJdbc 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssJdbc schisandraOssJdbc);

    /**
     * 修改数据
     *
     * @param schisandraOssJdbc 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssJdbc schisandraOssJdbc);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


}
